
Redmine - Defect #5113

ActionView::TemplateError (undefined local variable or method `issue')

2010-03-18 00:34 - Michaelian Ennis

Status: Closed Start date: 2010-03-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Might have been introduced in r3594

Processing IssuesController#show (for 0.0.0.0 at 2010-03-17 19:10:05) [GET]

Parameters: {"action"=>"show", "id"=>"139", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/show.rhtml

ActionView::TemplateError (undefined local variable or method `issue' for #<ActionView::Base:0x107304208>) on line #14 of

app/views/issues/_history.rhtml:

11:        <li><%= show_detail(detail) ></li>

12:     < end >

13:     </ul>

14:     <= render_notes(issue, journal, :reply_links => reply_links) unless journal.notes.blank? >

15:   </div>

16:   <= call_hook(:view_issues_history_journal_bottom, { :journal => journal }) >

17: < end %>

app/views/issues/_history.rhtml:14:in `_run_rhtml_app47views47issues47_history46rhtml_locals_histo

ry_journals_object'

    app/views/issues/_history.rhtml:2:in `each'

    app/views/issues/_history.rhtml:2:in `_run_rhtml_app47views47issues47_history46rhtml_locals_hi

story_journals_object'

    vendor/plugins/advanced_roadmap/app/views/issues/show.rhtml:94:in `_run_rhtml_vendor47plugins4

7advanced_roadmap47app47views47issues47show46rhtml'

    app/controllers/issues_controller.rb:120:in `show'

    app/controllers/issues_controller.rb:119:in `show'

    passenger (2.2.11) lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'

    passenger (2.2.11) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

    passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:418:in `start_request_ha

ndler'

    passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_app

lication'

    passenger (2.2.11) lib/phusion_passenger/utils.rb:184:in `safe_fork'

    passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_app

lication'

    passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

    passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

    passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:163:in `start'

    passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:213:in `start'

    passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

    passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

    passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

    passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

    passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

    passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

    passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

    passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

    passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

    passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'
History

#1 - 2010-03-18 00:38 - Eric Davis

- Subject changed from Changes to issues complete but yield 500 to ActionView::TemplateError (undefined local variable or method `issue')

(cleaned up the title so it can be searched for)

#2 - 2010-03-18 20:24 - Jean-Philippe Lang

Can not be reproduced.

Your /app/views/issues/show.rhtml was not updated or you're using a plugin that overrides this view.

Make sure that you properly restarted the app too.

#3 - 2010-03-18 23:43 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Invalid

This is caused by the Advanced Roadmap plugin to be precise. It indeed overrides that specific view.

Please report it to the maintainer of the plugin.

Greetings.

#4 - 2010-03-25 15:13 - Holger Just

- Status changed from Closed to Reopened

The issue is not closed indeed. The bug is still present. As the stack trace clearly states, it is the original view (app/views/issues/_history.rhtml:14)

which throws the exception.

There is just a @ missing:

Index: app/views/issues/_history.rhtml

===================================================================

--- app/views/issues/_history.rhtml    (revision 3612)

+++ app/views/issues/_history.rhtml    (working copy)

@@ -11,7 +11,7 @@

        <li><%= show_detail(detail) %></li>

     <% end %>

     </ul>

-    <%= render_notes(issue, journal, :reply_links => reply_links) unless journal.notes.blank? %>

+    <%= render_notes(@issue, journal, :reply_links => reply_links) unless journal.notes.blank? %>

   </div>

   <%= call_hook(:view_issues_history_journal_bottom, { :journal => journal }) %>

 <% end %>

 The bug was indeed introduced in r3594. It is only triggered is you perform e.g. a bulk update and enter no journal notes.

#5 - 2010-03-25 15:20 - Holger Just

Never mind, I overwrote the show.rhtml template...

#6 - 2010-03-25 15:32 - Felix Schäfer

- Status changed from Reopened to Closed

#7 - 2010-05-17 15:13 - Wael Nasreddine

There's a patch for this issue upstream and on the bug #5346
